### Method

# Gio Subprocess get_status

since: 2.40

#### Declaration [src]

    gint
    g_subprocess_get_status (
      GSubprocess* subprocess
    )

#### Description [src]

Gets the raw status code of the process, as from waitpid().

This value has no particular meaning, but it can be used with the macros defined by the system headers such as WIFEXITED. It can also be used with g_spawn_check_wait_status().

It is more likely that you want to use `g_subprocess_get_if_exited()` followed by g_subprocess_get_exit_status().

It is an error to call this function before `g_subprocess_wait()` has returned.

Available since: 2.40

#### Return value

Type: `gint`

The (meaningless) `waitpid()` exit status from the kernel.